{% extends '@DemosPlanCore/DemosPlanCore/base_oeb.html.twig' %}

{% set procedureList = templateVars.list.procedurelist %}

{% block component_part %}
    {% apply spaceless -%}

        {# onboarding / welcome panel #}
        {% block panel %}
            {% if currentUser.loggedIn == false %}
                {% include '@DemosPlanCore/DemosPlanProcedure/public_index_panel.html.twig' %}
            {% elseif currentUser.loggedIn == true %}
                {% include '@DemosPlanCore/DemosPlanProcedure/public_index_panel_loggedin.html.twig' %}
            {% endif %}
        {% endblock panel %}

        {# latest global news for loggedin users #}
        {% block newsList %}
            {% if currentUser.loggedIn == true and hasPermission('area_globalnews') %}
                {% include '@DemosPlanCore/DemosPlanProcedure/public_index_globalnewslist.html.twig' %}
            {% endif %}
        {% endblock %}

        {# heading above procedure list. wording depends on 3 things:
                1. institutions see filters + procedures they are invited to participate in
                2. guests see less filters + all procedures open for public participation
                3. planners do not see any filters, but procedures they can administer  #}
        {% block procedurelist_header %}
            {% if not hasPermission('area_admin_procedures') %}
                <h2 class="{{ 'c-proceduresearch__heading o-page__padded layout__item u-1-of-1 text-center text-left-palm font-size-h2 u-m-0'|prefixClass }}">
                    <span class="{{ 'border--bottom u-pv-0_75 u-ph block'|prefixClass }}">
                        {% if templateVars.useInternalFields == true %}
                            {{ "search.procedures.yours"|trans }}
                        {% else %}
                            {{ "search.procedures.all"|trans }}
                        {% endif %}
                    </span>
                </h2>
            {% else %}
                <h2 class="{{ 'c-proceduresearch__heading o-page__padded layout__item u-1-of-1 text-center text-left-palm font-size-h2 u-m-0'|prefixClass }}">
                    <span class="{{ 'border--bottom u-pv-0_75 u-ph block'|prefixClass }}">
                        {{ "procedures.yours"|trans }}
                    </span>
                </h2>
            {% endif %}
        {% endblock procedurelist_header %}

        <div id="scMap" class="{{ 'o-page__padded relative'|prefixClass }}">
            {% if hasPermission('feature_public_index_map') %}
                {% block map %}
                    <div class="{{ 'c-proceduresearch__map layout__item u-1-of-2 u-pl-0 show-lap-up-ib'|prefixClass }}">
                        <div
                            class="{{ 'o-sticky'|prefixClass }}"
                            data-sticky="lap-up"
                            data-sticky-context="scMap"
                            aria-label="{{ 'map.interactive.public.index.aria.hint'|trans }}">
                            <section id="map" class="{{ 'height-100vh bg-color--white'|prefixClass }}"></section>
                        </div>
                    </div>
                {% endblock map %}
            {% endif %}

            {# filter / list of procedures #}
            <div class="{{ 'c-proceduresearch__filter-procedures o-page__padded-right layout__item'|prefixClass }} {% block list_width %}{{ 'u-1-of-1 u-1-of-2-lap-up u-pl-0'|prefixClass }}{% endblock list_width %}">

                    {% block filter %}
                        {% include '@DemosPlanCore/DemosPlanProcedure/public_index_filter.html.twig' %}
                    {% endblock filter %}

                    {% block list %}
                        {# wrapper outside of include because it is included also via publicProcedureListJsonAction #}
                        <ul data-procedurelist-content class="{{ 'c-procedurelist list-style-none'|prefixClass }}">
                            {% if templateVars.list.procedurelist|length > 0 %}
                                {% include '@DemosPlanCore/DemosPlanProcedure/public_index_list.html.twig' %}
                            {% endif %}
                        </ul>
                        <div class="{{ 'hidden u-pl border--top u-pt'|prefixClass }}" aria-hidden="true" id="noProcedureNotification">
                            {{ 'filter.procedures.map.noResults'|trans }}
                        </div>
                    {% endblock list %}
            </div>
        </div>

    {%- endapply %}
{% endblock component_part %}


{% block javascripts %}
    {{ parent() }}

    {% if hasPermission('feature_public_index_map') %}
        {{ webpackBundles([
            'leaflet/leaflet/leaflet-src.js',
            'leaflet/proj4/proj4-compressed.js',
            'leaflet/proj4/proj4leaflet.js',
            'leaflet/mousePosition/L.Control.MousePosition.js',
            'leaflet/markercluster/leaflet.markercluster.js',
        ], true) }}

        {{ webpackBundle('procedure-publicIndexMapAndList.js') }}

        {% include '@DemosPlanCore/DemosPlanMap/map_public_participation.html.twig' %}
    {% else %}
        {{ webpackBundle('procedure-publicIndexNoMap.js') }}
    {% endif %}
{% endblock javascripts %}


{% block stylesheets %}
    {% if hasPermission('feature_public_index_map') %}
        {{ webpackBundles([
            'leaflet/leaflet/leaflet.css',
            'leaflet/markercluster/MarkerCluster.css',
            'leaflet/markercluster/MarkerCluster.Default.css'
        ], true) }}
    {% endif %}
    {{ parent() }}
{% endblock stylesheets %}
